summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-boot/netboot/netboot-0.10.2.ebuild')
-rw-r--r--sys-boot/netboot/netboot-0.10.2.ebuild51
1 files changed, 51 insertions, 0 deletions
diff --git a/sys-boot/netboot/netboot-0.10.2.ebuild b/sys-boot/netboot/netboot-0.10.2.ebuild
new file mode 100644
index 00000000000..f4c97dadf70
--- /dev/null
+++ b/sys-boot/netboot/netboot-0.10.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="netbooting utility"
+HOMEPAGE="http://netboot.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86"
+IUSE=""
+
+DEPEND=">=dev-libs/lzo-2
+ >=sys-libs/db-4"
+RDEPEND="${DEPEND}
+ !net-misc/mknbi"
+
+src_prepare() {
+ cp -av make.config.in{,.org}
+ epatch "${FILESDIR}"/${P}-ldflags.patch
+ find "${S}" -name \*.lo -exec rm {} \;
+}
+
+src_configure() {
+ econf --enable-bootrom --with-gnu-cc86="$(tc-getCC)" \
+ --with-gnu-as86="$(tc-getAS)" --with-gnu-ld86="$(tc-getCC)"|| die 'cannot configure'
+ # --enable-config-file
+}
+
+src_compile() {
+ emake -j1 || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc README doc/*
+ docinto FlashCard
+ dodoc FlashCard/README FlashCard/*.ps
+ mv "${D}"/usr/share/misc "${D}"/usr/share/${PN}
+ rm -rf "${D}"/usr/lib/netboot/utils
+
+ dodoc "${S}"/mknbi-dos/utils/mntnbi.pl
+
+ insinto /usr/share/vim/vimfiles/syntax
+ doins "${S}"/mknbi-mgl/misc/mgl.vim
+}